Bug 1467399 - [VMWARE]Auto_placement provision into DVPortGroup fails on Virtual Center 6.5
[VMWARE]Auto_placement provision into DVPortGroup fails on Virtual Center 6.5
Status: POST
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Provisioning (Show other bugs)
5.8.0
Unspecified Unspecified
high Severity high
: GA
: 5.9.0
Assigned To: Lucy Fu
Leo Khomenko
provision:vmware
: TestOnly, ZStream
: 1467393 1478386 (view as bug list)
Depends On:
Blocks: 1478562 1458363 1479396
  Show dependency treegraph
 
Reported: 2017-07-03 12:27 EDT by Leo Khomenko
Modified: 2017-08-10 17:42 EDT (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
: 1478562 (view as bug list)
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: Bug
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: CFME Core


Attachments (Terms of Use)
networking config example (18.56 KB, image/png)
2017-07-03 12:27 EDT, Leo Khomenko
no flags Details

  None (edit)
Description Leo Khomenko 2017-07-03 12:27:00 EDT
Created attachment 1293930 [details]
networking config example

Description of problem: issue appeared after 1458363
Auto_placement provision into DVS vlan fails with Error "Destination placement_ds_name not provided]" if provider Network with the same name exists

Version-Release number of selected component (if applicable):5.8.1
Virtualcenter: 6.5


How reproducible:100%


Steps to Reproduce:
1.Configure environment networks (check attachment)
2.Provision VM with auto_placement
3.Select DVS vlan

Actual results:Provision fails


Expected results: Provision should succeed and VM should be in selected vlan


Additional info: seems like CFME can't distinguish DVS and common provider network.and picks up common one. Provisioning with the same requirements on VirtualCenter 5.5 succeeds. Provision with manual placement has other issues described in https://bugzilla.redhat.com/show_bug.cgi?id=1467393.
The way we have same names for common and DVS network is described in 
https://bugzilla.redhat.com/show_bug.cgi?id=1467384
Comment 4 Lucy Fu 2017-07-18 14:10:55 EDT
*** Bug 1467393 has been marked as a duplicate of this bug. ***
Comment 5 CFME Bot 2017-07-20 13:34:24 EDT
New commit detected on ManageIQ/manageiq-providers-vmware/master:
https://github.com/ManageIQ/manageiq-providers-vmware/commit/4b7cddc0d41c5475b4de5d8f9e6d3ef6dbc55203

commit 4b7cddc0d41c5475b4de5d8f9e6d3ef6dbc55203
Author:     Lucy Fu <lufu@redhat.com>
AuthorDate: Tue Jul 18 13:48:09 2017 -0400
Commit:     Lucy Fu <lufu@redhat.com>
CommitDate: Wed Jul 19 13:28:55 2017 -0400

    Fix the VM Provisioning issue with auto replacement in selected dvPortGroup network.
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1467399

 .../vmware/infra_manager/provision_workflow.rb     | 11 +++++++++
 .../infra_manager/provision_workflow_spec.rb       | 28 ++++++++++++++++++++++
 2 files changed, 39 insertions(+)
Comment 7 Lucy Fu 2017-08-09 11:56:10 EDT
*** Bug 1478386 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.